Subject: 'guix system list-generations' identifies wrong generation as current

From: Felix Lechner <[email-masked]>
Date: Tue, 22 Nov 2022 09:06:19 -0800

Hi,

On my equipment the command 'guix system list-generations' identifies
the most recent system generation as "(current)" even though I booted
a different, past generation via Grub.

The information is most certainly wrong because my latest generation
does not boot successfully.

I don't know if it matters, but I used 'guix deploy' on my local system.

Kind regards,
Felix Lechner